package com.libreecm.commonAPI.model.enums;

/**
 * Base Object Type IDs Enum.
 */
public enum BaseTypeId {
 
    /** @cmis 1.0 */
    CMIS_DOCUMENT("cmis:document"), //
    /** @cmis 1.0 */
    CMIS_FOLDER("cmis:folder"), //
    /** @cmis 1.0 */
    CMIS_RELATIONSHIP("cmis:relationship"), //
    /** @cmis 1.0 */
    CMIS_POLICY("cmis:policy"), //
    /** @cmis 1.1 */
    CMIS_ITEM("cmis:item"), //
    /** @cmis 1.1 */
    CMIS_SECONDARY("cmis:secondary"); //

    private final String value;

    BaseTypeId(String v) {
        value = v;
    }

    public String value() {
    	return value;
    }

    public static BaseTypeId fromValue(String v) {
        for (BaseTypeId c : BaseTypeId.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
}
